| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# scfImplementation5< Class, I1, I2, I3, I4, I5 > Class Template Reference

Inheritance diagram for scfImplementation5< Class, I1, I2, I3, I4, I5 >:

[legend]
List of all members.

## Public Member Functions
void * | QueryInterface (scfInterfaceID id, scfInterfaceVersion version)
| Query a particular interface implemented by this object.
## Protected Types
typedef Class | scfClassType
typedef scfImplementation5< Class,I1, I2, I3, I4, I5 > | scfImplementationType
## Protected Member Functions
| scfImplementation5 (Class *object, iBase *parent=0)
virtual | ~scfImplementation5 ()

## Detailed Description

### template<class Class, class I1, class I2, class I3, class I4, class I5>
class scfImplementation5< Class, I1, I2, I3, I4, I5 >

Definition at line 506 of file scf_implgen.h.

## Member Function Documentation

template<class Class, class I1, class I2, class I3, class I4, class I5>

void* scfImplementation5< Class, I1, I2, I3, I4, I5 >::QueryInterface | ( | scfInterfaceID | id,
|  | scfInterfaceVersion | version |
| ) |  |  | `[inline, virtual]`

Query a particular interface implemented by this object.

You are _not_ allowed to cast this to anything but a pointer to this interface (not even iBase). Use scfQueryInterface<interface> instead of using this method directly.

Reimplemented from scfImplementation< Class >.

Definition at line 511 of file scf_implgen.h.

The documentation for this class was generated from the following file:

- csutil/scf_implgen.h